Name:           UEFITool
Version:        A62
Release:        %autorelease
Summary:        UEFI firmware image viewer and editor 

License:        BSD-2-Clause and BSD and MIT and Public Domain and LGPL-2.1-only and Zlib
URL:            https://github.com/LongSoft/UEFITool
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  libappstream-glib

BuildRequires:  libxkbcommon-devel
BuildRequires:  qt6-qtbase-devel

# Vendored under UEFITool/qhexedit2 and modified
# License: LGPL-2.1-only
Provides:       bundled(qhexedit2) = 0.8.2
# Vendored under common/bstrlib and modified
# License: BSD
Provides:       bundled(bstrlib) = 1.0.0
# Compression code vendored under common/Tiano and modified
# License: BSD
Provides:       bundled(edk2) = 2018
# Vendored under common/kaitai and modified
# License: MIT
Provides:       bundled(kaitai) = 0.10
# Hashing code vendored under common/digest and modified
# License: Public Domain
Provides:       bundled(libtomcrypt) = 0
# Vendored under common/LZMA/SDK/C and modified
# License: Public Domain
Provides:       bundled(lzma) = 22.01
# Vendored under common/zlib and modified
# License: Zlib
Provides:       bundled(zlib) = 1.2.11

%description
UEFITool is a viewer and editor of firmware images conforming to UEFI Platform
Interface (PI) Specifications.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
# Install binaries
for p in UEFIExtract UEFIFind UEFITool; do
  install -Dpm0755 -t %{buildroot}%{_bindir} "%{_vpath_builddir}/${p}/${p}"
done
# Add symlink for the .desktop file
ln -s UEFITool %{buildroot}%{_bindir}/uefitool

# Install icons
for s in 16 32 48 64 128 256 512; do
  install -Dpm0644 "%{name}/icons/uefitool_${s}x${s}.png" \
    "%{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/uefitool.png"
done

# Install desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
  %{name}/uefitool.desktop

# Install appstream metadata
install -Dpm0644 appstream/appdata.xml \
  %{buildroot}%{_metainfodir}/%{name}.metainfo.xml
appstream-util validate-relax --nonet \
  %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%files
%license LICENSE.md UEFITool/qhexedit2/license.txt common/bstrlib/LICENSE
%doc README.md
%{_bindir}/*
%{_datadir}/applications/uefitool.desktop
%{_datadir}/icons/hicolor/*/apps/uefitool.png
%{_metainfodir}/%{name}.metainfo.xml

%changelog
%autochangelog
